import { Logger } from '../Logger';
import * as oracledb from 'oracledb';
import { SecretsManager } from '../SecretsManager';
import { RequestContextRegistry } from '../RequestContextRegistry';
import { APIGatewayProxyHandler } from 'aws-lambda';
import { Router } from '../Router';
export declare class HandlerFactory {
    protected router: Router;
    protected logger: Logger;
    protected secretsManager: SecretsManager;
    protected requestContextRegistry: RequestContextRegistry;
    protected oracleDb: typeof oracledb;
    protected oracleDbConfig: OracleDbConfig;
    constructor(router: Router, logger: Logger, secretsManager: SecretsManager, requestContextRegistry: RequestContextRegistry, oracleDb: typeof oracledb, oracleDbConfig: OracleDbConfig);
    getHandler(): APIGatewayProxyHandler;
}
export interface OracleDbConfig {
    createPool: boolean;
    oracleDbSecretName?: string;
    connectString?: string;
    poolIncrement?: number;
    poolMax?: number;
    poolMin?: number;
}
