"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AWSSecretsManager = void 0;
const autobind_decorator_1 = require("autobind-decorator");
const Errors_1 = require("../Errors");
const aws_sdk_1 = require("aws-sdk");
class AWSSecretsManager {
    constructor(defaultRegion) {
        this.defaultRegion = defaultRegion;
    }
    async getSecret(secretName, region) {
        if (!this.defaultRegion && !region) {
            throw new Errors_1.InternalServerError('You must provide a region for AWSSecretsManager in the constructor or in its methods');
        }
        const secretsmanager = new aws_sdk_1.SecretsManager({ region: this.defaultRegion || region });
        const { SecretString, SecretBinary } = await secretsmanager.getSecretValue({ SecretId: secretName }).promise();
        const credentials = SecretString || Buffer.from(SecretBinary, 'base64').toString('ascii');
        return JSON.parse(credentials);
    }
}
__decorate([
    autobind_decorator_1.boundMethod
], AWSSecretsManager.prototype, "getSecret", null);
exports.AWSSecretsManager = AWSSecretsManager;
